> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/playbooks/playbook-prompt-conditions.md).

# Playbook Prompt Conditions

## GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions

> Get all prompt conditions for a playbook prompt.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Sorting.ItemSorting":{"enum":["dateAdded","name","description","isDirectory","playbookName","projectName","extension","size","pageCount","isAdminACL","documentsCount","totalFileSizeBytes","promptCount","estimatedTokenCount","latestMessageDate","flowsCount","orgWide","flowCredits","assistantsCount","assistantCredits","pages","fileCreditsCost","ocrCreditsCost","layoutCreditsCost","totalCredits","loginsCount","lastLoginDate","playbookDescription","ocrPageCount","layoutPageCount","userMessageCount","assistantMessageCount","totalMessageCount","resourceOwner"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse":{"required":["objectIdentifier","promptPredicate"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionPredicateResponse"},"isYes":{"type":"boolean","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"textAnswer":{"type":"string","nullable":true},"fuzzyMatch":{"type":"boolean","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptCategoryConditionResponse"},"nullable":true},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionPredicateResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptCategoryConditionResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions":{"get":{"tags":["Playbook Prompt Conditions"],"summary":"Get all prompt conditions for a playbook prompt.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"promptObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"searchText","in":"query","schema":{"type":"string"}},{"name":"sorting","in":"query","schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Sorting.ItemSorting"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse"}}}}}}}}}}
```

## POST /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions

> Create a new prompt condition for a playbook prompt.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptConditionRequest":{"required":["promptPredicateObjectIdentifier"],"type":"object","properties":{"promptPredicateObjectIdentifier":{"type":"string","format":"uuid"},"isYes":{"type":"boolean","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.PromptCategoryConditionRequest"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.PromptCategoryConditionRequest":{"type":"object","properties":{"category":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse":{"required":["objectIdentifier","promptPredicate"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionPredicateResponse"},"isYes":{"type":"boolean","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"textAnswer":{"type":"string","nullable":true},"fuzzyMatch":{"type":"boolean","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptCategoryConditionResponse"},"nullable":true},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionPredicateResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptCategoryConditionResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions":{"post":{"tags":["Playbook Prompt Conditions"],"summary":"Create a new prompt condition for a playbook prompt.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"promptObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptConditionRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptConditionRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Requests.CreatePromptConditionRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions/{objectIdentifier}

> Get a specific prompt condition by object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse":{"required":["objectIdentifier","promptPredicate"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"promptPredicate":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionPredicateResponse"},"isYes":{"type":"boolean","nullable":true},"decimalAnswer":{"type":"number","format":"double","nullable":true},"minimumDecimalAnswer":{"type":"number","format":"double","nullable":true},"maximumDecimalAnswer":{"type":"number","format":"double","nullable":true},"decimalOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"textAnswer":{"type":"string","nullable":true},"fuzzyMatch":{"type":"boolean","nullable":true},"dateAnswer":{"type":"string","format":"date-time","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"dateOperator":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.RangeComparisonOperator"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptCategoryConditionResponse"},"nullable":true},"dateAdded":{"type":"string","format":"date-time"}},"additionalProperties":false},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionPredicateResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"label":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"promptDataType":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.PromptDataType"}},"additionalProperties":false},"Jylo.Toolkit.Constants.PromptDataType":{"enum":["boolean","categories","decimal","text","generative","dateTime"],"type":"string"},"Jylo.Toolkit.Constants.RangeComparisonOperator":{"enum":["equal","greaterThan","lessThan","greaterThanOrEqual","lessThanOrEqual","range"],"type":"string"},"Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptCategoryConditionResponse":{"required":["objectIdentifier"],"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"category":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions/{objectIdentifier}":{"get":{"tags":["Playbook Prompt Conditions"],"summary":"Get a specific prompt condition by object identifier.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}},{"name":"promptObjectIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.PlaybookMarketplace.Services.Features.PlaybookPrompts.Contracts.Responses.PromptConditionResponse"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## DELETE /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions/{objectIdentifier}

> Delete a prompt condition from a playbook prompt.

```json
{"openapi":"3.0.4","info":{"title":"Playbook Marketplace API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions/{objectIdentifier}":{"delete":{"tags":["Playbook Prompt Conditions"],"summary":"Delete a prompt condition from a playbook prompt.","parameters":[{"name":"groupObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"promptObjectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"objectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"playbookIdentifier","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/playbooks/playbook-prompt-conditions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
